LLVM: lldb::SBInputReader Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBInputReader Class Reference

`#include <SBInputReader.h>`

## Public Types
typedef size_t(* | Callback )(void *baton, SBInputReader *reader, InputReaderAction notification, const char *bytes, size_t bytes_len)

## Public Member Functions
| SBInputReader ()
| SBInputReader (const lldb::InputReaderSP &reader_sp)
| SBInputReader (const lldb::SBInputReader &rhs)
| ~SBInputReader ()
SBError | Initialize (SBDebugger &debugger, Callback callback, void *callback_baton, lldb::InputReaderGranularity granularity, const char *end_token, const char *prompt, bool echo)
bool | IsValid () const
const lldb::SBInputReader & | operator= (const lldb::SBInputReader &rhs)
bool | IsActive () const
bool | IsDone () const
void | SetIsDone (bool value)
InputReaderGranularity | GetGranularity ()

## Protected Member Functions
lldb_private::InputReader * | operator-> () const
lldb::InputReaderSP & | operator* ()
const lldb::InputReaderSP & | operator* () const
lldb_private::InputReader * | get () const
lldb_private::InputReader & | ref () const

## Friends
class | SBDebugger

## Detailed Description

Definition at line 17 of file SBInputReader.h.

## Member Typedef Documentation

typedef size_t(* lldb::SBInputReader::Callback)(void *baton, SBInputReader *reader, InputReaderAction notification, const char *bytes, size_t bytes_len)

Definition at line 21 of file SBInputReader.h.

## Constructor & Destructor Documentation

lldb::SBInputReader::SBInputReader | ( |  | ) |

lldb::SBInputReader::SBInputReader | ( | const lldb::InputReaderSP & | reader_sp | ) |

lldb::SBInputReader::SBInputReader | ( | const lldb::SBInputReader & | rhs | ) |

lldb::SBInputReader::~SBInputReader | ( |  | ) |

## Member Function Documentation

lldb_private::InputReader* lldb::SBInputReader::get | ( |  | ) | const
| protected

InputReaderGranularity lldb::SBInputReader::GetGranularity | ( |  | ) |

SBError lldb::SBInputReader::Initialize | ( | SBDebugger & | debugger,
|  | Callback | callback,
|  | void * | callback_baton,
|  | lldb::InputReaderGranularity | granularity,
|  | const char * | end_token,
|  | const char * | prompt,
|  | bool | echo
| ) |  |

bool lldb::SBInputReader::IsActive | ( |  | ) | const

bool lldb::SBInputReader::IsDone | ( |  | ) | const

bool lldb::SBInputReader::IsValid | ( |  | ) | const

lldb::InputReaderSP& lldb::SBInputReader::operator* | ( |  | ) |
| protected

const lldb::InputReaderSP& lldb::SBInputReader::operator* | ( |  | ) | const
| protected

lldb_private::InputReader* lldb::SBInputReader::operator-> | ( |  | ) | const
| protected

const lldb::SBInputReader& lldb::SBInputReader::operator= | ( | const lldb::SBInputReader & | rhs | ) |

lldb_private::InputReader& lldb::SBInputReader::ref | ( |  | ) | const
| protected

void lldb::SBInputReader::SetIsDone | ( | bool | value | ) |

## Friends And Related Function Documentation

friend class SBDebugger
| friend

Definition at line 64 of file SBInputReader.h.

The documentation for this class was generated from the following file:

- SBInputReader.h